cURL
curl --request POST \ --url https://{APPLICATION_ID}.algolia.net/agent-studio/1/agents/{agent_id}/unpublish \ --header 'X-Algolia-API-Key: <x-algolia-api-key>' \ --header 'X-Algolia-Application-Id: <x-algolia-application-id>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "status": "draft", "providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "instructions": "<string>", "config": {}, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "lastUsedAt": "2023-11-07T05:31:56Z", "model": "<string>", "systemPrompt": "<string>", "tools": [ { "name": "<string>", "description": "<string>", "inputSchema": { "type": "object", "properties": {}, "required": [ "<string>" ] }, "type": "client_side" } ], "templateType": "<string>" }
Unpublish the specified agent.
editSettings
Successful Response
draft
published
Show child attributes
Was this page helpful?